Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 2635983007: Implements CSSPropertyAPI for the column-count property. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
7 months ago by aazzam
Modified:
6 months, 2 weeks ago
CC:
darktears, apavlov+blink_chromium.org, blink-reviews, blink-reviews-css, chromium-reviews, dglazkov+blink, rwlbuis
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Implements CSSPropertyAPI for the column-count property. A part of Project Ribbon, separating the parsing logic for CSS properties from the parser into an API. This patch removes CSSPropertyColumnCount from the switch statement in parseSingleValue, and calls the API instead. A function pointer to the parseSingleValue function from the API for the column-count property is stored in a CSSPropertyDescriptor, and is called from CSSPropertyParser. This patch: - Adds CSSPropertyAPIColumnCount.cpp to the BUILD.gn file. - Adds api_class flag to CSSProperties.in, which indicates that CSSPropertyAPIColumnCount.h is generated. - Moves the parsing logic for page from CSSPropertyParser.cpp to CSSPropertyAPIColumnCount.cpp, which implements CSSPropertyAPI.h. BUG=668012 Review-Url: https://codereview.chromium.org/2635983007 Cr-Commit-Position: refs/heads/master@{#447485} Committed: https://chromium.googlesource.com/chromium/src/+/633e649172fbbad21a1492ad7a226f2c380b7d7a

Patch Set 1 #

Patch Set 2 : rebase #

Patch Set 3 : rebase #

Patch Set 4 : rebase #

Patch Set 5 : rebase #

Patch Set 6 : rebase #

Patch Set 7 : added api_methods flag #

Patch Set 8 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+20 lines, -2 lines) Patch
M third_party/WebKit/Source/core/css/BUILD.gn View 1 2 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/CSSProperties.json5 View 1 2 3 4 5 6 7 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/core/css/parser/CSSPropertyParser.cpp View 1 2 3 4 1 chunk +0 lines, -2 lines 0 comments Download
A third_party/WebKit/Source/core/css/properties/CSSPropertyAPIColumnCount.cpp View 1 chunk +17 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 42 (35 generated)
aazzam
please take a look alan! :)
7 months ago (2017-01-18 02:45:47 UTC) #3
alancutter (OOO until 2018)
lgtm
7 months ago (2017-01-18 03:02:31 UTC) #4
aazzam
sasha, ptal :)
7 months ago (2017-01-18 03:10:35 UTC) #6
sashab
Haha I read this and was like "there's a CSSPropertyColumnUtils?? How cool is that' and ...
7 months ago (2017-01-18 04:14:02 UTC) #7
sashab
lgtm
7 months ago (2017-01-20 02:15:31 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2635983007/140001
6 months, 2 weeks ago (2017-02-01 10:56:02 UTC) #39
commit-bot: I haz the power
6 months, 2 weeks ago (2017-02-01 11:00:31 UTC) #42
Message was sent while issue was closed.
Committed patchset #8 (id:140001) as
https://chromium.googlesource.com/chromium/src/+/633e649172fbbad21a1492ad7a22...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b